Authentication
Approve Device Code
Approves a device code from createDeviceCode, logging the device that created it in as the current user.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Request Body
application/json
userCode*string
The userCode of the device code to approve.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/auth/device/approve" \ -H "Content-Type: application/json" \ -d '{ "userCode": "string" }'{
"success": true
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}{
"error": {
"message": "Device code not found or expired․",
"status_code": 404
}
}